
MAKEDEPEND = $(CC) -xM1 $(CFLAGS_EPICS) \
		$(MX_APPINIT_INCLUDES) *.c > Makefile.dep

MX_TCL_SONAME       = libMxTcl.so.$(MX_MAJOR_VERSION)
MX_TCL_LIBRARY_NAME = $(MX_TCL_SONAME)

MX_TCL_STATIC_LIBRARY_NAME = libMxTcl.a

MX_APPINIT_FLAGS = $(CFLAGS)

MX_APPINIT_INCLUDES = 

#-----------------------------------------------------------------

MX_TCL_LIBRARY_DELETE = rm $(MX_TCL_LIBRARY_NAME) libMxTcl.so

MX_TCL_LIBRARY_BUILD  = ld -G -o $(MX_TCL_LIBRARY_NAME) \
				$(MX_TCL_LIB_DIRS) $(MX_TCL_LIB_OBJS) \
				$(MX_TCL_LIBRARIES) -lc
MX_TCL_LIBRARY_BUILD2 = ln -sf $(MX_TCL_LIBRARY_NAME) libMxTcl.so

#-----------------------------------------------------------------

MX_TCL_STATIC_LIBRARY_DELETE = rm $(MX_TCL_STATIC_LIBRARY_NAME)

MX_TCL_STATIC_LIBRARY_BUILD  = ar rcs $(MX_TCL_STATIC_LIBRARY_NAME) \
						$(MX_TCL_LIB_OBJS)

#-----------------------------------------------------------------

MX_TCL_LIB_OBJS  = $(MX_TCL_LIB_SRCS:.c=.o)

INCLUDES         = -I/usr/openwin/include -I$(LIBMXSRC) -I$(TCL_DIR)/include

MX_TCL_LIB_DIRS  = -L$(LIBMXSRC) -L$(TCL_DIR)/lib $(LIB_DIRS)
MX_TCL_LIBRARIES = -lMx $(LIBRARIES)

MXTCLWISH_NAME = mxtclwish

MXTCLWISH_LIB_DIRS = -L/usr/openwin/lib $(LIB_DIRS) -L$(TCL_DIR)/lib

MXTCLWISH_BUILD = $(CC) $(CFLAGS) -o $(MXTCLWISH_NAME) mxAppInit.$(OBJ) \
	$(MX_TCL_STATIC_LIBRARY_NAME) $(LIBMXSRC)/libMx.a \
	$(MXTCLWISH_LIB_DIRS) \
	-litk3.0 -litcl3.0 -ltk8.0 -ltcl8.0 \
	-lX11 -lezca -lca -lCom -lsocket -lnsl -ldl -lposix4 -lm

MX_TCL_INSTALL  = -mkdir $(INSTALL_DIR)/bin
MX_TCL_INSTALL2 = -mkdir $(INSTALL_DIR)/etc
MX_TCL_INSTALL3 = -mkdir $(INSTALL_DIR)/etc/mxgui
MX_TCL_INSTALL4 = -mkdir $(INSTALL_DIR)/include
MX_TCL_INSTALL5 = -mkdir $(INSTALL_DIR)/lib
MX_TCL_INSTALL6 = -mkdir $(INSTALL_DIR)/lib/mxgui
MX_TCL_INSTALL7 = /usr/ucb/install -m 644 mx_tcl.h $(INSTALL_DIR)/include
MX_TCL_INSTALL8 = \
	/usr/ucb/install -m 644 $(MX_TCL_LIBRARY_NAME) $(INSTALL_DIR)/lib
MX_TCL_INSTALL9 = \
	/usr/ucb/install -m 644 $(MX_TCL_STATIC_LIBRARY_NAME) $(INSTALL_DIR)/lib
MX_TCL_INSTALL10 = -( cd $(INSTALL_DIR)/lib ; rm libMxTcl.so )
MX_TCL_INSTALL11 = \
	( cd $(INSTALL_DIR)/lib ; ln -sf $(MX_TCL_LIBRARY_NAME) libMxTcl.so )
MX_TCL_INSTALL12 = /usr/ucb/install -m 644 mx.tcl $(INSTALL_DIR)/lib
MX_TCL_INSTALL13 = \
	/usr/ucb/install -m 644 ../mxgui/*.tcl $(INSTALL_DIR)/lib/mxgui
MX_TCL_INSTALL14 = /usr/ucb/install -m 755 mxtclwish $(INSTALL_DIR)/bin
MX_TCL_INSTALL15 = /usr/ucb/install -m 755 ../mxgui/mxgui $(INSTALL_DIR)/bin
MX_TCL_INSTALL16 = chmod 755 $(INSTALL_DIR)/lib/mxgui/mxgui.tcl

