/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    mx_tcl.h
 *
 * Purpose: TCL interface to the MX library.
 */

#ifndef __MX_TCL_H__
#define __MX_TCL_H__

MX_API mx_status_type mxtcl_get_record_from_object( MX_RECORD **,
					Tcl_Interp *, Tcl_Obj *CONST );

MX_API mx_status_type mxtcl_process_tcl_events( unsigned long max_events );

MX_API int Mxtcl_Init( Tcl_Interp *interp );

MX_API int Mx_Init( Tcl_Interp *interp );

MX_API int Mx_init_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_debug_level_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_set_debug_level_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_plotting_is_enabled_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_set_plot_enable_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_install_user_interrupt_handler_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_install_output_handlers_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_install_dialog_handler_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_create_record_list_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_read_database_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_finish_database_initialization_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_initialize_hardware_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_create_record_from_description_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_finish_record_initialization_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_delete_record_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_record_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_next_record_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_record_name_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_create_description_from_record_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_field_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_set_field_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_object_class_name_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_get_version_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_is_busy_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_move_absolute_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_get_position_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_set_position_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_soft_abort_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_immediate_abort_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_positive_limit_hit_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_negative_limit_hit_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_motor_find_home_position_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_clear_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_overflow_set_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_read_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_read_and_clear_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_write_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_get_dark_current_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scaler_set_dark_current_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_timer_is_busy_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_timer_start_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_timer_stop_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_scan_perform_scan_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_send_variable_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

MX_API int Mx_receive_variable_cmd( ClientData clientData,
			Tcl_Interp *interp,
			int objc,
			Tcl_Obj *CONST objv[] );

#endif /* __MX_TCL_H__ */

